Page MenuHomeFreeBSD

lang/php*: link with -znotext on i386
ClosedPublic

Authored by emaste on Sep 17 2018, 1:33 PM.
Tags
None
Referenced Files
F81365896: D17193.diff
Mon, Apr 15, 5:50 AM
Unknown Object (File)
Sat, Mar 16, 12:52 PM
Unknown Object (File)
Sat, Mar 16, 12:51 PM
Unknown Object (File)
Sat, Mar 16, 12:51 PM
Unknown Object (File)
Mar 13 2024, 7:10 PM
Unknown Object (File)
Jan 16 2024, 3:44 AM
Unknown Object (File)
Jan 14 2024, 10:07 AM
Unknown Object (File)
Jan 12 2024, 9:29 AM
Subscribers

Details

Summary

By default lld disallows relocations in read-only segments.

This port links some non-PIC code, which fails with lld as it defaults to disallowing relocations against read-only segments. For i386 we can just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's existing default.

PR: 230207

Aside: as I am not a ports committer I'm looking for one to provide explicit approval for commit.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Sep 18 2018, 4:08 PM
This revision was automatically updated to reflect the committed changes.